#!/bin/bash

echo 'num, zincid, filename,mode,affinity,dist_rmsd,best_mode_rmsd' | tee -a output.csv

ligfile="$1"
while read -r line; do
        name=$(echo "$line" | cut -f 1 -d '.')
        echo "$name"
        for i in $name/*.log; do
		echo -n $name, | tee -a output.csv
		id=$(grep -A1 "<zinc_id>" $name.sdf | tail -n 1)
		echo -n $id, | tee -a output.csv
		echo -n $i | tee -a output.csv
		result=$(grep -A3 'mode' $i | tail -n 1 | tr -s " " | sed 's/ /, /g')
		if [ -z "$result" ] ; then echo 'NA,NA,NA,NA'| tee -a output.csv; else echo $result | tee -a output.csv; fi
	done
done < "$ligfile"
